Skip to main content
GET
/
v1
/
orders
/
{order-id}
/
tickets
/
rollup_summary
Retrieve Ticket Rollup Summary for an Order
curl --request GET \
  --url https://api.tread-horizon.com/v1/orders/{order-id}/tickets/rollup_summary \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "external_vendor_name": "<string>",
      "external_truck_id": "<string>",
      "total_tickets_count": 123,
      "total_tickets_missing_job_count": 123,
      "total_tickets_quantity": 123,
      "total_tickets_missing_job_quantity": 123,
      "unit_of_measure": "Load"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

order-id
string
required

Order ID

Query Parameters

filter[sources]
array

Array of sources (Tickets)

Response

OK

data
TicketRollupSummary-Read · object[]
required